import { theme } from '../../assets/theme/theme';
import styled from 'styled-components';
import { Card } from '@material-ui/core';

export const SingleCard = styled(Card)`
    width: 280px;
    margin-bottom: 10px;
    position: relative;
`;

export const GridContainer = styled.div`
  display: grid;
  grid-template-columns: 1fr 40px;

  span {
    font-size: 11px;
    text-transform: uppercase;
    color: ${theme.palette.text.secondary};
  }

  h3 {
    margin-top: 2px;
    font-size: 1.1rem;
    color: ${theme.palette.secondary.main};
    font-weigth: 700;
  }
`;

export const ActivityIconBox = styled.div`
  justify-self: end;
  font-size: 26px;
  color: ${theme.palette.secondary.main};
`;

export const FlexBox = styled.div`
  display: flex;
  justify-content: space-between;
  margin-top: -6px;
  font-size: 11px;

  div {
    display: flex;
    align-items: center;
  }
`;

export const iconStyles = {
  marginRight: 2,
  fontSize: 12,
};
