import { theme } from '../../assets/theme/theme';
import styled from 'styled-components';
import { Card, CardContent } from "@material-ui/core";

export const CommentaryCard = styled(Card)`
  margin-bottom: 10px;
  padding-top: 10px;

  ${theme.breakpoints.up('md')} {
    max-width: 600px;
    margin: 0 auto 10px;
  }
`;

export const TextBox = styled(CardContent)`
  padding-top: 0;
  padding-bottom: 0;
  font-size: 14px;
  line-height: 1.4;
`;

export const CommentaryInput = styled.div`
  display: flex;
  align-items: center;
  margin-bottom: 30px;

  ${theme.breakpoints.up('md')} {
    max-width: 600px;
    margin: 0 auto 30px;
  }
`;

export const CommentaryAuthor = styled.span`
  padding-left: 15px;
  font-size: 10px;
  font-weight: 200;
  color: ${theme.palette.secondary.main};

  span {
    font-weight: 400;
  }
`;
