import PropTypes from 'prop-types';
import { ParticipantBoxDiv } from './ParticipantBox.styles';

export const ParticipantBox = ({ participants, setShowParticipantsBox }) => (
  <ParticipantBoxDiv onMouseOut={ () => setShowParticipantsBox(false) }>
    { participants.map(participant => {
      return <p>{ participant.userName }</p>
    }) }
  </ParticipantBoxDiv>
);


ParticipantBox.propTypes = {
  participants: PropTypes.array,
  setShowParticipantsBox: PropTypes.func,
};
