import { useSelector } from 'react-redux';
import { setUserParticipate, cancelUserParticipate } from '../../redux/actions/activityActions';
import { Button } from "@material-ui/core";
import PropTypes from 'prop-types';

export const ParticipateButton = ({ participate, setParticipate, participants, setParticipants, allParticipants, setAllParticipants, setSaved, activityId }) => {
  const userId = useSelector(state => state.user.user._id);
  const userName = useSelector(state => state.user.user.fullName);

  const handleClick = () => {
    if (participate) {
      const filteredParticipantArray = allParticipants.filter(participant => participant.userId !== userId);
      setAllParticipants(filteredParticipantArray);
      cancelUserParticipate(activityId, userId, userName);
      setParticipate(false);
      setParticipants(participants - 1);
    }
    else {
      const newParticipant = { userId: userId, userName: userName };
      const newParticipantArray = [...allParticipants, newParticipant];
      setAllParticipants(newParticipantArray);
      setUserParticipate(activityId, userId, userName);
      setParticipate(true);
      setParticipants(participants + 1);
  }
    setSaved(true);

    setTimeout(() => {
      setSaved(false);
    }, 2000);
  };

  return (
    <Button
      variant="contained"
      color="secondary"
      fullWidth
      onClick={() => handleClick()}
    >
      { participate ? "Ja no vull participar-hi" : "Vull participar-hi" }
    </Button>
  )
};

ParticipateButton.propTypes = {
  participate: PropTypes.bool,
  setParticipate: PropTypes.func,
  participants: PropTypes.number,
  setParticipants: PropTypes.func,
  allParticipants: PropTypes.string,
  setAllParticipants: PropTypes.func,
  setSaved: PropTypes.func,
  activityId: PropTypes.string,
};
