import { Route, Redirect } from 'react-router-dom';
import { useSelector } from 'react-redux';

export const PrivateRoute = ({ children, ...rest }) => {
  const isLogged = useSelector(state => state.isLogged);

  return (
    <Route
      {...rest}
      render={(props) => { return isLogged
        ? children
        : <Redirect to='/' />
      }}
    />
  );
};
