import { useSelector, useDispatch } from 'react-redux';
import { AppBar, Toolbar } from '@material-ui/core';
import logo from '../../assets/logo/logo-entrenem.svg'
import { HeaderButton } from '../units/Button';
import { container, logoStyles } from './Header.styles';
import { notInitialPage } from '../../redux/actions/initialPageActions';

export const Header = () => {
  const dispatch = useDispatch();
  const isInitialPage = useSelector(state => state.isInitialPage);

  if (isInitialPage) {
    return (
      <div style={ container }>
        <AppBar position="sticky">
          <Toolbar>
            <img src={ logo } alt="Logo d'Entrenem" style={ logoStyles } />
          </Toolbar>
        </AppBar>
      </div>
    );
  } else {
    return (
      <div style={ container }>
        <AppBar position="sticky">
          <Toolbar>
            <img src={ logo } alt="Logo d'Entrenem" style={ logoStyles } />
            <HeaderButton text="Registra't" path="/registrar" method={() => dispatch(notInitialPage())} />
            <HeaderButton text="Inicia sessió" path="/iniciar" method={() => dispatch(notInitialPage())} />
          </Toolbar>
        </AppBar>
      </div>
    );
  }
};

