import axios from 'axios';
import { loading } from './index';

const signal = axios.CancelToken.source();

export const setCommentaries = (commentaries) => {
  return {
    type: 'SET_COMMENTARIES',
    payload: commentaries,
  };
};

export const postCommentary = (commentaries, commentary, setSaved) => {
  return dispatch => {
    dispatch(loading());
    const url = 'https://entrenem.herokuapp.com/api/commentaries';
    const config = {
      headers: {
        'Content-Type': 'application/x-www-form-urlencoded'
      }
    };

    const params = new URLSearchParams()
    params.append('message', commentary.message);
    params.append('writtenBy', commentary.writtenBy);
    params.append('writtenByName', commentary.writtenByName);
    params.append('activityID', commentary.activityID);

    axios.post(url, params, config, {
      cancelToken: signal.token
    })
      .then(response => {
        setSaved(true);
        setTimeout(() => {
          const allCommentaries = commentaries;
          const newCommentary = response.data;
          allCommentaries.push(newCommentary);
          dispatch(setCommentaries(allCommentaries));
          setSaved(false);
          dispatch(loading());
        }, 2000);
      })
      .catch(error => {
        console.log(error);
        dispatch(loading());
      });

    // cleanup function
    return function cleanup() {
      signal.cancel();
    };
  };
};

export const fetchCommentariesByActivityId = (activityId) => {
  return dispatch => {
    const url = `https://entrenem.herokuapp.com/api/commentaries/${activityId}`;
    dispatch(loading());

    axios.get(url, {
      cancelToken: signal.token
    })
      .then(response => {
        dispatch(setCommentaries(response.data));
        dispatch(loading());
      })
      .catch(error => {
        console.log(error);
        dispatch(loading());
      });

    // cleanup function
    return function cleanup() {
      signal.cancel();
    };
  };
};
