import { combineReducers } from 'redux';
import { authReducers } from './authReducers';
import { activitiesReducers } from './activitiesReducers';
import { activityReducers } from './activityReducers';
import { userReducers } from './userReducers';
import { initialPageReducers } from './initialPageReducers';
import { loadingReducers } from './loadingReducers';
import { activityIsNewReducers } from './activityIsNewReducers';
import { commentariesReducers } from './commentariesReducers';
import { coordsReducers } from './coordsReducers';

export const rootReducer = combineReducers({
  isInitialPage: initialPageReducers,
  isLoading: loadingReducers,
  isLogged: authReducers,
  isNew: activityIsNewReducers,
  user: userReducers,
  activities: activitiesReducers,
  selectedActivity: activityReducers,
  commentaries: commentariesReducers,
  coords: coordsReducers,
});
