import { SortedActivities } from './SortedActivities';
import { TitleSection } from '../components/styled/TitleSection';
import Link from '../components/styled/Link';
import { FloatingButton } from '../components/units/Button';
import { coloured, container, FlexContainer, logoStyles } from './Activities.styles';
import logoIcon from '../assets/logo/logo-icon.svg';

import { Container } from '@material-ui/core';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';

import { categories } from '../utils/categories';


export const Activities = () => (
  <>
    <FloatingButton />
    <section style={ coloured }>
      <SortedActivities show="proposades" title="Activitats proposades" color extraStyles={ container } />
    </section>
    <section>
      <SortedActivities show="inscrites" title="Activitats inscrites" extraStyles={ container } topPosition />
    </section>
    <section style={ coloured }>
      <SortedActivities show="comentades" title="Activitats comentades" color extraStyles={ container } topPosition />
    </section>

    <section>
      <SortedActivities show="properes" title="Pròximes activitats" extraStyles={ container } topPosition />
    </section>
    <section style={ coloured }>
      <Container maxWidth="xl" component="div" style={{ position: 'relative' }}>
        <img src={ logoIcon } alt="Icon del logo d'Entrenem" style={ logoStyles } />
        <TitleSection>Categories</TitleSection>
        <FlexContainer>
          { categories.map(category => {
              const path = `/activitats/categoria/${category.title}`;
              return <Link to={ path } key={ category.id }>
                <span >
                  <FontAwesomeIcon icon={ category.icon } />
                </span>
              </Link>
            })
          }
        </FlexContainer>
      </Container>
    </section>
  </>
);
