import { theme } from '../assets/theme/theme';
import styled from 'styled-components';

export const coloured = {
  backgroundColor: theme.palette.primary.light,
};

export const container = {
  marginBottom: 60,

  '&:lastChild': {
    marginBottom: 0,
    paddingBottom: 70,
  },
};

export const logoStyles = {
  position: 'absolute',
  left: 'calc(50vw - 16px)',
  top: -26,
  width: 50,

  [theme.breakpoints.up('md')]: {
    left: 'calc(50vw - 24px)',
  }
};

export const FlexContainer = styled.div`
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin: auto;

  span {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 10px 10px 40px;
    width: 60px;
    height: 60px;
    color: ${theme.palette.secondary.main};
    font-size: 2.8rem;
  }
`;
