import { theme } from '../assets/theme/theme';
import styled from 'styled-components';
import { Card, Container } from "@material-ui/core";

const colorDark = theme.palette.secondary.main;
const colorLight = theme.palette.primary.light;

export const LoadingDiv = styled.div`
  width: 40px;
  height: 100%;
  margin: auto;
`;

export const InfoBox = styled.div`
  width: 90%;
  margin: auto;
  padding-bottom: 20px;

  ${theme.breakpoints.up('sm')} {
    width: 45%;
  }
`;

export const Icon = styled.div`
  display: flex;
  justify-content: center;
  align-items: center;
  width: 84px;
  height: 84px;
  margin: auto;
  padding-top: 50px;

  font-size: 60px;
  color: ${colorDark};
`;

export const InfoItems = styled.div`
  width: 200px;
  margin: auto;
  padding-bottom: 30px;

  div {
    display: flex;
    align-items: center;
    margin-bottom: 5px;
  }
`;

export const WhiteSection = styled.section`
  background-color: #fff;

  ${theme.breakpoints.up('md')} {
    padding-top: 30px;
  }
`;

export const CardBox = styled(Card)`
  grid-area: description;
  margin: 40px auto 5px;
  width: 100%;
  background-color: ${colorLight};
  font-size: 14px;
  line-height: 1.4;

  ${theme.breakpoints.up('md')} {
    min-height: 360px;
    margin-top: 0;
  }
`;

export const MapDescContainer = styled(Container)`
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto auto;
  grid-template-areas:
    'map'
    'description';

  ${theme.breakpoints.up('md')} {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto;
    grid-template-areas:
      'map description';
    grid-column-gap: 10px;
    width: 90%;
    margin: auto;
  }
`;

export const coloured = {
  paddingBottom: 50,
  backgroundColor: colorLight,
};

export const numParticipantsBox = {
  position: 'relative',
  marginBottom: 60,
  fontSize: 10,
};

export const infoIcon = {
  fontSize: 15,
  marginRight: 10,
};

export const emojiStyles = {
  fontSize: 11,
  marginRight: 2
};
