import { useDispatch } from 'react-redux';
import { notInitialPage } from '../redux/actions/initialPageActions';
import { LinkContainedButton, LinkOutlinedButtonLandingPage } from '../components/units/Button';
import runningPicLg from '../assets/img/running-lg.png';
import { GridContainer, Title } from './LandingPage.styles';

export const LandingPage = () => {
  const dispatch = useDispatch();

  return (
    <GridContainer>
      <Title>Troba gent per fer activitat física en companyia</Title>
      <img src={ runningPicLg } alt="Dues persones dibuixades estan corrent" />
      <div>
        <LinkContainedButton text="Registra't" path="/registrar" method={() => dispatch(notInitialPage())} />
        <LinkOutlinedButtonLandingPage text="Inicia sessió" path="/iniciar" method={() => dispatch(notInitialPage())} />
      </div>
    </GridContainer>
  );
};
