import { theme } from '../assets/theme/theme';
import styled from 'styled-components';
import { TitleLandingPage } from '../components/styled/TitleLandingPage';

export const GridContainer = styled.div`
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto;
  grid-template-areas:
    'title'
    'pic'
    'button';
  width: 100vw;
  padding-bottom: 30px;
  background-color: ${theme.palette.primary.light};

  ${theme.breakpoints.up('md')} {
    grid-template-columns: 44% 56%;
    grid-template-rows: 1fr 1fr 1fr;
    grid-template-areas:
      'pic title'
      'pic title'
      'pic button';
    height: 100vh;
    padding-bottom: 0;
  }

  img {
    grid-area: pic;
    place-self: center;
    width: 100%;
  }

  div {
    grid-area: button;
    align-self: start;
    display: flex;
    flex-direction: column;
    margin-bottom: 50px;
    padding-left: 10px;
    padding-right: 10px;

    ${theme.breakpoints.up('md')} {
      flex-direction: row;
      justify-content: space-around;
      padding-left: 0;
      padding-right: 40px;
    }
  }
`;

export const Title = styled(TitleLandingPage)`
  grid-area: title;
  place-self: center;
  margin-top: 5px;

  ${theme.breakpoints.up('md')} {
    padding-right: 50px;
  }
`;
