import { Container } from '@material-ui/core';
import { TitleSection } from '../components/styled/TitleSection';
import { LinkContainedButton } from '../components/units/Button';

export const LegalNotice = () => (
  <Container style={{ paddingLeft: 40, paddingRight: 40 }}>
    <TitleSection>Avís legal</TitleSection>
    <h3>Propietat de l'aplicació web</h3>
    <p>Per tal de donar compliment a l'article 10 de la Llei 34/2002 de Serveis de la Societat de la Informació i de Comerç Electrònic, informem als usuaris de les nostres dades:</p>
    <div>
      <span>Titular de l'aplicació web: Sarah Schmidt</span><br />
      <span>Correu electrònic: sschmidt0@uoc.edu</span><br />
      <span>Lloc web: www.entrenem.com</span><br />
    </div>

    <p>D’acord amb l’establert a la Llei 34/2002 d’11 de juliol, de Serveis de la Societat de la Informació i del Comerç Electrònic, us informem de que aquesta aplicació web és titularitat de Sarah Schmidt, d'ara en endavant també el PRESTADOR, amb NIE: X5898162L, adreça postal: C / Sant Pasqual Bailón, 10, 08027 Barcelona (Barcelona), telèfon de contacte: 685512022, i e-mail: sschmidt0@uoc.edu.</p>
    <p>Qualsevol ús de la present aplicació web implica l’acceptació de totes les condicions establertes en el present avís legal i accepta sotmetre’s a la legislació espanyola en tot moment, renunciant expressament a qualsevol altre fur. Aquestes condicions seran vigents en cada moment que accedeixi a l'aplicació web del prestador i és per això que s’han de llegir atentament.</p>

    <h3>Responsabilitats i garanties</h3>
    <p>L'aplicació web esmentada ofereix serveis i informacions que proposen els propis usuaris. Així mateix, la informació i serveis a la aplicació web es proporcionen sense cap garantia expressa o implícita de la seva exactitud o integritat.</p>
    <p>El prestador es reserva el dret de procedir, en qualsevol moment i sense necessitat de previ avís, a modificar i actualitzar la informació continguda a l'aplicació web, la configuració i presentació d’aquesta i la informació general així com d’eliminar informació continguda o de suspendre temporalment l’accessibilitat a l'aplicació web.</p>
    <p>El prestador autoritza la visualització, impressió, reproducció temporal i descàrrega parcial del contingut de l'aplicació web d’acord amb aquest Avís Legal i a amb la normativa vigent. És per això, que la utilització no autoritzada de la informació continguda a l'aplicació web podrà comportar les corresponents responsabilitats legalment establertes. </p>
    <p>El prestador no garanteix la inexistència d’interrupcions o errors en l’accés a l'aplicació web o al seu contingut, ni es farà responsable de possibles problemes tècnics que es produeixin durant la connexió a Internet. Igualment s’exclou de tota responsabilitat que es pogués derivar d’interferències, omissions, virus informàtics, motivats per causes alienes al titular de l'aplicació web, així com de danys causats per terceres persones mitjançant intromissions il·legítimes fora del control del titular de l'aplicació web o danys al seu sistema informàtic (hardware y software).</p>
    <p>El prestador no garanteix l’aplicació d’aquesta política de Privacitat als accessos mitjançant enllaços de tercers a aquesta Web, ni els enllaços d’aquesta aplicació web a altres webs. D’acord amb això i amb el que preveu la Llei 34/2002, d’11 de juliol de Serveis de la Societat de la Informació i Comerç electrònic, tot enllaç de tercers a aquesta aplicació web s’haurà de fer a la seva pàgina principal o d’entrada i no podran realitzar cap modificació, limitació o realitzar cap tipus de manifestació sobre l'aplicació web, amb el compromís de complir amb la resta de previsions d’aquesta normativa.</p>

    <h3>Drets de propietat intel·lectual i industrial</h3>
    <p>Aquesta aplicació web es regeix per les lleis espanyoles i per la legislació nacional i internacional sobre propietat intel·lectual i industrial.</p>
    <p>Tots els continguts que incorpora o mostra l'aplicació web, incloent noms i marques comercials o registrades, logotips, textos, gràfics, fotografies, imatges, imatges en moviment, so i il·lustracions, són propietat d'entrenem. És per això que qualsevol ús no autoritzat prèviament pel titular d’aquests continguts i tots els altres de la Web, inclosos bases de dades, programes informàtics, edició, programació, compilació i altres elements necessaris pel seu funcionament, serà considerat un incompliment greu dels drets de propietat intel·lectual o industrial.</p>

    <h3>Normes d’ús</h3>
    <p> En cas que consideris que a l'aplicació web existeix qualsevol contingut il·lícit o que infringeixi drets, continguts subjectes a drets d'autor que no han estat autoritzats per comunicar, falses atribucions d'autoria, o que atempti contra l'honor i la intimitat de les persones o infraccions de marques protegides, entre altres, pots informar: sschmidt0@uoc.edu .</p>
    <p> En l'escrit haurà de constar la referència "Continguts infractors o il·lícits" i contenir la següent informació:<br />
    · Nom i les dades de contacte<br />
    · El contingut o continguts del lloc que consideris infractor de drets o il·lícit<br />
    · El motiu pel qual consideres que aquest contingut és il·lícit, així com els drets infringits i qui és responsable<br />
    · Una declaració en què et fas responsable de la veracitat d'aquesta comunicació</p>
    <p>Des d'entrenem t’informem que tots els materials, informacions o altres comunicacions facilitades i/o publicades per la teva persona a l'aplicació web es consideraran no confidencials i no exclusius, i no et donen dret a cap tipus de reemborsament ni a altres cànons. Entrenem pot utilitzar aquests materials, informació, etc, de forma gratuïta, fins i tot per a la concessió de llicència per a l'explotació dels mateixos, encara que amb el respecte de la teva privacitat.</p>
    <p> No es pot fer servir l'aplicació web per publicar o transmetre qualsevol material que sigui o pugui ser il·legal, amenaçador, enganyós, subversiu, difamatori, obscè, abusiu, discriminatori o que pugui donar lloc a responsabilitat civil o incomplir qualsevol llei. També es prohibeix utilitzar el Lloc per anunciar o realitzar qualsevol activitat comercial.</p>

    <div style={{ textAlign: 'right' }}>
      <LinkContainedButton
        path="/registrar"
        text="Tancar"
        fullWidth="false"
        style={{ marginBottom: 50, marginTop: 30, width: 100 }}
      />
    </div>
  </Container>
);
