import { theme } from '../assets/theme/theme';
import styled from 'styled-components';
import { Avatar, FormControlLabel, Divider } from '@material-ui/core';

export const DivBox = styled.div`
  height: 100vh;
  padding-top: 60px;
  background-color: ${theme.palette.primary.light};

  form {
    width: 100%;
    margin-top: ${theme.spacing(1)};
  }
`;

export const GridDiv = styled.div`
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: auto;
  grid-template-areas:
    'span button';
  width: 80%;
  margin: 0 auto;

  span {
    grid-area: span;
    place-self: center;
    margin-right: 6px;
    font-size: 14px;
  }
`;

export const CheckboxErrorParagraph = styled.p`
  padding-bottom: 10px;
  margin-top: -20px;
  font-size: 12px;
  font-weight: 400;
  color: #F86959;
`;

export const Icon = styled(Avatar)`
  margin: ${theme.spacing(1)};
  background-color: ${theme.palette.secondary.main};
`;

export const Label = styled(FormControlLabel)`
  margin-bottom: 30px;
`;

export const DividerLine = styled(Divider)`
  margin: 26px 0 20px;
`;

export const btn = {
  gridArea: 'button',
};

export const flexBox = {
  display: 'flex',
  flexDirection: 'column',
  alignItems: 'center',
};

export const checkLabel = {
  display: 'inline-block',
  width: 200,
  fontSize: 10,
};
