import { theme } from '../assets/theme/theme';
import styled from 'styled-components';
import { TextField, Typography } from "@material-ui/core";

export const coloured = {
  backgroundColor: theme.palette.primary.light,
};

export const logoStyles = {
  width: 50,
  marginTop: 50,
  marginBottom: -20,
};

export const TextBoxField = styled(TextField)`
  margin-top: 0px;
  margin-bottom: 50px;
`;

export const ErrorSpan = styled(Typography)`
  color: #f44336;
  margin-top: 3px;
  margin-left: 14px;
  margin-right: 14px;
`;

export const GridContainer = styled.div`
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto auto;

  ${theme.breakpoints.up('md')} {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto;
    grid-column-gap: 20px;
    width: 90%;
    margin: auto;
  }
`;

export const SizeContainer = styled.div`
  padding-bottom: 30px;

  ${theme.breakpoints.up('md')} {
    max-width: 600px;
    margin: auto;
  }
`;

export const IconContainer = styled.div`
  display: flex;
  justify-content: center;
  align-items: center;
  width: 84px;
  height: 84px;
  margin: auto;
`;

export const DescriptionTitle = styled.h5`
  margin-top: 90px;
  text-align: center;
`;

export const ButtonContainer = styled.div`
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: auto;
  grid-column-gap: 20px;
  padding-bottom: 60px;
`;

export const LoadingBox = styled.div`
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100vh;
  height: 100vh;
`;
