import { Container } from '@material-ui/core';
import { TitleSection } from '../components/styled/TitleSection';
import { LinkContainedButton } from '../components/units/Button';

export const PrivacyPolicy = () => (
  <Container style={{ paddingLeft: 40, paddingRight: 40 }}>
    <TitleSection>Política de Privacitat i Protecció de Dades</TitleSection>
    <p>El titular Sarah Schmidt d'aquesta aplicació web, com a responsable del tractament, garanteix un nivell adequat i coherent de protecció de les persones físiques en allò que respecte a les seves dades personals, d’acord amb el Reglament general de protecció de dades (2016/679). Només es tracten les dades personals amb plena responsabilitat i lleialment, i d’acord amb les bases jurídiques que permeten la licitud del tractament.</p>

    <h2>INFORMACIÓ ADDICIONAL SOBRE PROTECCIÓ DE DADES </h2>
    <h3>Responsable del tractament</h3>
    <div>
      <span>Titular de l'aplicació web: Sarah Schmidt</span><br />
      <span>Correu electrònic: sschmidt0@uoc.edu</span><br />
      <span>Lloc web: www.entrenem.com</span><br />
    </div>

    <h3>Finalitats del tractament de les dades i conservació</h3>
    <p>A l'efecte del que preveu la LOPD, informem que les dades que voluntàriament ens està facilitant seran incorporades als nostres sistemes d'informació per tal de realitzar les gestions administratives necessàries amb els usuaris de l'aplicació web; Les operacions previstes per a realitzar els tractaments són els següents: respondre a les consultes i / o proporcionar informacions requerides per l'Usuari; realitzar totes aquelles activitats pròpies d'entrenem pel present avís legal ressenyades.</p>
    <p>El no facilitar les dades personals sol·licitades o el no acceptar la present política de protecció de dades suposa la impossibilitat de registrar-se a l'aplicació web i rebre informació dels productes i serveis de l'prestador.</p>

    <h3>Destinataris de les seves dades</h3>
    <p>No estan previstes cessions de dades, només es comunicarien a tercers en el cas d’existir una obligació legal o en el cas que ho hagués acceptat explícitament.</p>

    <h3>Drets dels interessats</h3>
    <p>Les persones titulars de les dades tractades per entrenem tenen dret en tot moment a accedir les seves dades, rectificar-les, oposar-se al seu tractament o suprimir-les si creu que ja no són necessàries per als fins pels quals van ser recollides. A més, si ho desitja, podrà sol·licitar la portabilitat de les seves dades i limitació del tractament de les seves dades, cas en què únicament les conservarem per a l’exercici o la defensa de reclamacions. Així mateix, podrà revocar el consentiment atorgat en qualsevol moment.</p>
    <p>Per a exercir aquests drets podrà posar-se en contacte amb el titular de l'aplicació a través del correu electrònic sschmidt0@uoc.edu. Així mateix, en cas de no estar satisfet amb la resposta a l’exercici dels seus drets, podrà presentar una reclamació davant l’Agència Espanyola de Protecció de Dades a través de la seva seu electrònica a www.aepd.es.</p>

    <h3>Procedència de les dades personals</h3>
    <p>Directament de les persones interessades o dels seus representants.</p>

    <div style={{ textAlign: 'right' }}>
      <LinkContainedButton
        path="/registrar"
        text="Tancar"
        fullWidth="false"
        style={{ marginBottom: 50, marginTop: 30, width: 100 }}
      />
    </div>
  </Container>
);
